Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-stub/diplodlg.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
diplodlg.c File Reference
`#include "gui_stub.h"`
`#include "diplodlg.h"`

Go to the source code of this file.

## Functions

void | gui_gui_recv_accept_treaty (struct Treaty *ptreaty, struct player *they)
void | gui_gui_init_meeting (struct Treaty *ptreaty, struct player *they, struct player *initiator)
void | gui_gui_recv_create_clause (struct Treaty *ptreaty, struct player *they)
void | gui_gui_recv_cancel_meeting (struct Treaty *ptreaty, struct player *they, struct player *initiator)
void | gui_gui_recv_remove_clause (struct Treaty *ptreaty, struct player *they)
void | gui_gui_prepare_clause_updt (struct Treaty *ptreaty, struct player *they)
void | close_all_diplomacy_dialogs (void)

## Function Documentation

## ◆ close_all_diplomacy_dialogs()

void close_all_diplomacy_dialogs | ( | void |  | ) |

Close all open diplomacy dialogs.

Called when the client disconnects from game.

Definition at line 81 of file diplodlg.c.

## ◆ gui_gui_init_meeting()

void gui_gui_init_meeting | ( | struct Treaty * | ptreaty,
|  | struct player * | they,
|  | struct player * | initiator
| ) |  |

Handle the start of a diplomacy meeting - usually by popping up a diplomacy dialog.

Definition at line 36 of file diplodlg.c.

## ◆ gui_gui_prepare_clause_updt()

void gui_gui_prepare_clause_updt | ( | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

Prepare to clause creation or removal.

Definition at line 71 of file diplodlg.c.

## ◆ gui_gui_recv_accept_treaty()

void gui_gui_recv_accept_treaty | ( | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

Update a player's acceptance status of a treaty (traditionally shown with the thumbs-up/thumbs-down sprite).

Definition at line 27 of file diplodlg.c.

## ◆ gui_gui_recv_cancel_meeting()

void gui_gui_recv_cancel_meeting | ( | struct Treaty * | ptreaty,
|  | struct player * | they,
|  | struct player * | initiator
| ) |  |

Update the diplomacy dialog when the meeting is canceled (the dialog should be closed).

Definition at line 54 of file diplodlg.c.

## ◆ gui_gui_recv_create_clause()

void gui_gui_recv_create_clause | ( | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

Update the diplomacy dialog by adding a clause.

Definition at line 45 of file diplodlg.c.

## ◆ gui_gui_recv_remove_clause()

void gui_gui_recv_remove_clause | ( | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

Update the diplomacy dialog by removing a clause.

Definition at line 63 of file diplodlg.c.